On Fri, 2005-08-26 at 01:48 +0200, Dag Wieers wrote:
> Revelation 0.4.5 has problems with configure since no module called 
> bonobo.ui is found on the system. Even though gnome-python2-bonobo is 
> installed and contains:
> If I do have a working DISPLAY, then some of the checks succeed. This 
> means you need to have a working DISPLAY when you build the package (or 
> run configure) which is pretty limited...

Hm, right - I hadn't even thought of that. I added these checks so that
people would be notified about missing python modules at configure-time
instead of getting more-or-less obscure errors at run-time. But, as you
see, the GTK module needs a DISPLAY when initializing.

I don't think this is important enough to warrant a new release right
now, though. I'll look into it when I'm back home next spring, until
then I guess you'll need a DISPLAY (or your patch) to build Revelation
without one.

Thanks for letting me know.

Erik Grinaker <[EMAIL PROTECTED]>

"We act as though comfort and luxury were the chief requirements of
life, when all that we need to make us happy is something to be
enthusiastic about."
                                                  -- Albert Einstein

Reply via email to